Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.schema
Class JsonSchemaValidatorFactory.PatternPropertyValidator

    java.lang.Object
      org.infinispan.schematic.internal.schema.JsonSchemaValidatorFactory.PatternPropertyValidator

All Implemented Interfaces:
  Serializable, Validator

Enclosing class:
  JsonSchemaValidatorFactory

    protected static class JsonSchemaValidatorFactory.PatternPropertyValidator

extends Object
implements Validator

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.infinispan.schematic.internal.schema.Validator
`Validator.Factory, Validator.SchemaDocumentResolver`

Constructor Summary
`JsonSchemaValidatorFactory.PatternPropertyValidator(Pattern propertyNamePattern, Validator validator)`

Method Summary
`String` | `toString()`
`void` | `validate(Object fieldValue, String fieldName, Document parent, Path pathToParent, Problems problems, Validator.SchemaDocumentResolver resolver)` Validate a portion of the supplied document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JsonSchemaValidatorFactory.PatternPropertyValidator

    public JsonSchemaValidatorFactory.PatternPropertyValidator(Pattern propertyNamePattern,
                                                               Validator validator)

Method Detail

### validate

    public void validate(Object fieldValue,
                         String fieldName,
                         Document parent,
                         Path pathToParent,
                         Problems problems,
                         Validator.SchemaDocumentResolver resolver)

  Description copied from interface: `Validator`
  Validate a portion of the supplied document.

  Specified by:
    `validate` in interface `Validator`
  Parameters:
    `fieldValue` - the field value to be validated; may be null
    `fieldName` - the field name to be validated; may be null if the field value is not known or the validator is to validate the document
    `parent` - the document; never null
    `pathToParent` - the path to the supplied document; never null but may be a zero-length path if the document is the top-level document
    `problems` - the problems where any errors or warnings should be recorded; never null
    `resolver` - the component that can be used to resolve references to other schema documents

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.